Bug 426600 - DW_TAG_interface_type support
DW_TAG_interface_type support
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gdb (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Jan Kratochvil
:
Depends On:
Blocks: 173278 371831
  Show dependency treegraph
 
Reported: 2007-12-22 16:02 EST by Jan Kratochvil
Modified: 2008-05-21 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0332
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:55:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix+testcase. (15.80 KB, patch)
2007-12-22 16:02 EST, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Jan Kratochvil 2007-12-22 16:02:46 EST
+++ This bug was initially created as a clone of Bug #371831 +++

http://sourceware.org/ml/gdb-patches/2007-12/msg00397.html

GCC recently wanted to implement Java DW_TAG_interface_type (it was using
DW_TAG_structure_type for everything):
	http://gcc.gnu.org/ml/gcc-patches/2007-11/msg01659.html

but DW_TAG_interface_type is so far completely unsupported by GDB:
	http://gcc.gnu.org/ml/gcc/2007-12/msg00576.html

Therefore DW_TAG_interface_type has became disabled now upstream:
	http://gcc.gnu.org/ml/gcc/2007-12/msg00626.html

But it would be nice to enable it for RHEL-5.2.  GDB currently autodetects the
interface type in java_type_print_derivation_info() according to ff it has
virtual inheritance (I expect it is not ambiguous for Java).

-- Additional comment from jakub@redhat.com on 2007-12-21 14:00 EST --
If RHEL5.2 gdb will handle it, Alex' patch can be backported.


The fix has been accepted upstream.
Comment 1 Jan Kratochvil 2007-12-22 16:02:47 EST
Created attachment 290300 [details]
Fix+testcase.
Comment 2 RHEL Product and Program Management 2007-12-22 16:04:17 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Jan Kratochvil 2008-01-07 10:12:02 EST
Committed to Rawhide CVS:
* Mon Jan  7 2008 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.7.1-7
- Support DW_TAG_interface_type the same way as DW_TAG_class_type (BZ 426600).
Comment 9 errata-xmlrpc 2008-05-21 12:55:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0332.html

Note You need to log in before you can comment on or make changes to this bug.